function init(hero) {
    hero.setName("Wonder Girl");
    hero.setTier(7);
    hero.hide()
    
    hero.setHelmet("Hair");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("mvh:inv_atomeve");
    hero.addAttribute("PUNCH_DAMAGE", -1.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    
    hero.addKeyBind("SHIELD", "key.shield", 1);
    hero.addKeyBind("CHARGED_BEAM", "Charged Beam", 2);
    hero.addKeyBind("HOVER", "key.levitate", 3);
    hero.addKeyBind("FLIGHTSTYLETOGGLE", "Toggle Flight Style", 4)

    hero.setModifierEnabled(isModifierEnabled);

}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:flight":
        return !entity.getData("mvh:dyn/flightstyletoggle");
    case "fiskheroes:gliding":
        return entity.getData("mvh:dyn/flightstyletoggle");
    default:
        return true;
    }
}